Bug 598197 (CVE-2010-2089) - CVE-2010-2089 Python: Memory corruption in audioop module
Summary: CVE-2010-2089 Python: Memory corruption in audioop module
Status: CLOSED ERRATA
Alias: CVE-2010-2089
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://bugs.python.org/issue7673
Whiteboard: public=20100111,reported=20100527,sou...
Keywords: Security
Depends On: 598198 598199 645880 693954
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-31 17:49 UTC by Jan Lieskovsky
Modified: 2012-09-11 15:31 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-11 15:31:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
audioop_check_length.patch by Victor Stinner (13.29 KB, patch)
2010-05-31 17:52 UTC, Jan Lieskovsky
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0027 normal SHIPPED_LIVE Low: python security, bug fix, and enhancement update 2011-01-13 10:58:29 UTC
Red Hat Product Errata RHSA-2011:0491 normal SHIPPED_LIVE Moderate: python security update 2011-05-05 18:56:24 UTC

Description Jan Lieskovsky 2010-05-31 17:49:57 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-2089 to
the following vulnerability:

The audioop module in Python 2.7 and 3.2 does not verify the
relationships between size arguments and byte string lengths, which
allows context-dependent attackers to cause a denial of service
(memory corruption and application crash) via crafted arguments, as
demonstrated by a call to audioop.reverse with a one-byte string, a
different vulnerability than CVE-2010-1634.

References:
  [1] http://bugs.python.org/issue7673

Public PoC (from [1]):
  $ python -c "import audioop; audioop.reverse('X', 2)"
    Fatal Python error: Inconsistent interned string state.
    Abandon

Comment 1 Jan Lieskovsky 2010-05-31 17:52:13 UTC
Created attachment 418359 [details]
audioop_check_length.patch by Victor Stinner

Comment 4 Vincent Danen 2010-06-04 17:02:15 UTC
The Red Hat Security Response Team has rated this issue as having low security impact, a future update may address this flaw.

Comment 5 Fedora Update System 2010-06-04 22:04:28 UTC
python-2.6.2-8.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/python-2.6.2-8.fc12

Comment 6 Fedora Update System 2010-06-04 22:05:02 UTC
python-2.6.4-27.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/python-2.6.4-27.fc13

Comment 7 Fedora Update System 2010-06-04 22:05:27 UTC
python-2.6-14.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-2.6-14.fc11

Comment 8 Fedora Update System 2010-06-04 22:10:43 UTC
python3-3.1.2-6.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/python3-3.1.2-6.fc13

Comment 9 Fedora Update System 2010-06-04 22:11:58 UTC
python26-2.6.5-5.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/python26-2.6.5-5.el5

Comment 10 Fedora Update System 2010-06-14 17:09:36 UTC
python-2.6.4-27.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-07-05 22:04:42 UTC
python-2.6.2-8.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 errata-xmlrpc 2011-01-13 23:09:59 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0027 https://rhn.redhat.com/errata/RHSA-2011-0027.html

Comment 16 errata-xmlrpc 2011-01-14 09:04:01 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0027 https://rhn.redhat.com/errata/RHSA-2011-0027.html

Comment 17 errata-xmlrpc 2011-05-05 18:56:42 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2011:0491 https://rhn.redhat.com/errata/RHSA-2011-0491.html


Note You need to log in before you can comment on or make changes to this bug.